package com.ditrix.ownaction;

import android.app.Activity;
import android.app.Notification;
import android.app.NotificationManager;
import android.os.Build;
import android.os.Bundle;
import android.view.View;

/**
 * @author Denis Bondarenko
 *         Date: 11.09.2014
 *         Time: 22:02
 *         E-mail: DenBond7@gmail.com
 */
public class NotificationActivity extends Activity {
  public static final String EXTRAS_MESSAGE = NotificationActivity.class.getPackage().getName() + ".EXTRAS_MESSAGE";

  private NotificationManager notificationManager;
  private int notificationId;

  @Override
  protected void onCreate(Bundle savedInstanceState) {
    super.onCreate(savedInstanceState);
    setContentView(new View(this));
    notificationManager = (NotificationManager) getSystemService(NOTIFICATION_SERVICE);

    if (getIntent() != null) {
      String notificationMessage = getIntent().getStringExtra(EXTRAS_MESSAGE);

      if (notificationMessage != null) {
        Notification.Builder builder = new Notification.Builder(getApplicationContext());

        builder.setContentTitle("Notification");
        builder.setContentText(notificationMessage);
        builder.setAutoCancel(true);
        builder.setWhen(System.currentTimeMillis());
        builder.setSmallIcon(R.drawable.ic_launcher);
        builder.setContentInfo(notificationMessage);

        if (Build.VERSION.SDK_INT >= android.os.Build.VERSION_CODES.JELLY_BEAN) {
          notificationManager.notify(notificationId, builder.build());
        } else {
          notificationManager.notify(notificationId, builder.getNotification());
        }

        notificationId++;

        setResult(RESULT_OK, ResponseIntentCreator.prepareIntent());
      } else {
        setResult(RESULT_CANCELED);
      }
    } else {
      setResult(RESULT_CANCELED);
    }

    finish();
  }
}
