package com.ditrix.testaction;

import android.app.Activity;
import android.content.ActivityNotFoundException;
import android.content.Intent;
import android.os.Bundle;
import android.view.View;
import android.widget.EditText;
import android.widget.Toast;


public class MainActivity extends Activity implements View.OnClickListener {
  public static final int REQUEST_CODE_SHOW_TOAST = 0;
  public static final int REQUEST_CODE_NOTIFICATION_CODE = 1;

  private EditText editTextMessage;

  @Override
  protected void onCreate(Bundle savedInstanceState) {
    super.onCreate(savedInstanceState);
    setContentView(R.layout.activity_main);

    editTextMessage = (EditText) findViewById(R.id.editTextMessage);

    findViewById(R.id.buttonShowToast).setOnClickListener(this);
    findViewById(R.id.buttonShowNotification).setOnClickListener(this);
  }

  @Override
  public void onClick(View v) {
    switch (v.getId()) {
      case R.id.buttonShowToast:
        Intent intentToast = new Intent("com.ditrix.ownaction.SHOW_TOAST");
        intentToast.putExtra("com.ditrix.ownaction.EXTRAS_MESSAGE", editTextMessage.getText().toString());

        try {
          startActivityForResult(intentToast, REQUEST_CODE_SHOW_TOAST);
        } catch (ActivityNotFoundException e) {
          e.printStackTrace();
          Toast.makeText(this, "Не найдено приложение, которое может обработать action = "
              + intentToast.getAction(), Toast.LENGTH_LONG).show();
        }
        break;

      case R.id.buttonShowNotification:
        Intent intentNotification = new Intent("com.ditrix.ownaction.SHOW_NOTIFICATION");
        intentNotification.putExtra("com.ditrix.ownaction.EXTRAS_MESSAGE", editTextMessage.getText().toString());

        try {
          startActivityForResult(intentNotification, REQUEST_CODE_NOTIFICATION_CODE);
        } catch (ActivityNotFoundException e) {
          e.printStackTrace();
          Toast.makeText(this, "Не найдено приложение, которое может обработать action = "
              + intentNotification.getAction(), Toast.LENGTH_LONG).show();
        }
        break;
    }
  }

  @Override
  protected void onActivityResult(int requestCode, int resultCode, Intent data) {
    super.onActivityResult(requestCode, resultCode, data);

    if (resultCode == RESULT_OK) {
      switch (requestCode) {
        case REQUEST_CODE_SHOW_TOAST:
          Toast.makeText(this, "Toast отображен коректно", Toast.LENGTH_LONG).show();
          break;

        case REQUEST_CODE_NOTIFICATION_CODE:
          Toast.makeText(this, "Notification отображен коректно", Toast.LENGTH_LONG).show();
          break;
      }
    } else {
      Toast.makeText(this, "Что-то пошло не так", Toast.LENGTH_SHORT).show();
    }
  }
}
